commit f0750a4e0b1606e51807d7157759b3a5e1e9760d
Author: Bob Hiestand <bob.hiestand@gmail.com>
Date:   Tue Oct 18 10:50:12 2011 -0500

    identify via 'svn info'
    
    don't look for .svn directories as svn 1.7 breaks that method

--- a/plugin/vcssvn.vim
+++ b/plugin/vcssvn.vim
@@ -90,22 +90,17 @@
 
 " Function: s:svnFunctions.Identify(buffer) {{{2
 function! s:svnFunctions.Identify(buffer)
-	let fileName = resolve(bufname(a:buffer))
-	if isdirectory(fileName)
-		let directoryName = fileName
-	else
-		let directoryName = fnamemodify(fileName, ':h')
-	endif
-	if strlen(directoryName) > 0
-		let svnDir = directoryName . '/.svn'
-	else
-		let svnDir = '.svn'
-	endif
-	if isdirectory(svnDir)
-		return 1
-	else
-		return 0
-	endif
+	let oldCwd = VCSCommandChangeToCurrentFileDir(resolve(bufname(a:buffer)))
+	try
+		call s:VCSCommandUtility.system(s:Executable() . ' info .')
+		if(v:shell_error)
+			return 0
+		else
+			return g:VCSCOMMAND_IDENTIFY_EXACT
+		endif
+	finally
+		call VCSCommandChdir(oldCwd)
+	endtry
 endfunction
 
 " Function: s:svnFunctions.Add() {{{2
